Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.datarepository
Class FileDataObject

    java.lang.Object
      com.rsa.authagent.authapi.datarepository.FileDataObject

All Implemented Interfaces:
  ACEServerDataObject

    public class FileDataObject

extends java.lang.Object
implements ACEServerDataObject

Field Summary
`static byte[]` | `EMPTY_DATA_ARRAY`

Constructor Summary
`FileDataObject(java.lang.String filename)`

Method Summary
`byte[]` | `getData()` This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.
`int` | `getData(byte[] buf)` This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.
`long` | `getTimeStamp()` This method return the time that the data resource was last modified
`void` | `writeData(byte[] b)` This method writes bytes from the passed array to the data resource

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_DATA_ARRAY

    public static byte[] EMPTY_DATA_ARRAY

Constructor Detail

### FileDataObject

    public FileDataObject(java.lang.String filename)

Method Detail

### getData

    public byte[] getData()
                   throws DataAccessorException

  Description copied from interface: `ACEServerDataObject`
  This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.

  Specified by:
    `getData` in interface `ACEServerDataObject`
  Returns:
    an array containing all of bytes read from the data resource or a zero-length byte array
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to read because of security violation

### getData

    public int getData(byte[] buf)
                throws DataAccessorException

  Description copied from interface: `ACEServerDataObject`
  This method reads bytes form a ACE Resource and stores them into a caller supplied buffer. The actual number of bytes read is return as an int.

  Specified by:
    `getData` in interface `ACEServerDataObject`
  Returns:
    The number of bytes read or -1 if end of stream
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to read because of security violation

### writeData

    public void writeData(byte[] b)
                   throws DataAccessorException

  Description copied from interface: `ACEServerDataObject`
  This method writes bytes from the passed array to the data resource

  Specified by:
    `writeData` in interface `ACEServerDataObject`
  Parameters:
    `b` - The array of bytes to write
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to write because of security violation

### getTimeStamp

    public long getTimeStamp()

  Description copied from interface: `ACEServerDataObject`
  This method return the time that the data resource was last modified

  Specified by:
    `getTimeStamp` in interface `ACEServerDataObject`
  Returns:
    a long value representing the time the resource was last modified, 0 if the data resource is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.